-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: aide security update
Advisory ID:       RHSA-2022:0440-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:0440
Issue date:        2022-02-07
CVE Names:         CVE-2021-45417 
=====================================================================

1. Summary:

An update for aide is now available for Red Hat Enterprise Linux 8.4
Extended Update Support.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AppStream EUS (v.8.4) - aarch64, ppc64le, s390x, x86_64

3. Description:

Advanced Intrusion Detection Environment (AIDE) is a utility that creates a
database of files on the system, and then uses that database to ensure file
integrity and detect system intrusions.

Security Fix(es):

* aide: heap-based buffer overflow on outputs larger than B64_BUF
(CVE-2021-45417)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2041489 - CVE-2021-45417 aide: heap-based buffer overflow on outputs larger than B64_BUF

6. Package List:

Red Hat Enterprise Linux AppStream EUS (v.8.4):

Source:
aide-0.16-14.el8_4.1.src.rpm

aarch64:
aide-0.16-14.el8_4.1.aarch64.rpm
aide-debuginfo-0.16-14.el8_4.1.aarch64.rpm
aide-debugsource-0.16-14.el8_4.1.aarch64.rpm

ppc64le:
aide-0.16-14.el8_4.1.ppc64le.rpm
aide-debuginfo-0.16-14.el8_4.1.ppc64le.rpm
aide-debugsource-0.16-14.el8_4.1.ppc64le.rpm

s390x:
aide-0.16-14.el8_4.1.s390x.rpm
aide-debuginfo-0.16-14.el8_4.1.s390x.rpm
aide-debugsource-0.16-14.el8_4.1.s390x.rpm

x86_64:
aide-0.16-14.el8_4.1.x86_64.rpm
aide-debuginfo-0.16-14.el8_4.1.x86_64.rpm
aide-debugsource-0.16-14.el8_4.1.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2021-45417
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYgD9LtzjgjWX9erEAQjSug/9EJ59F65WekbIJ2kzSYp8DTot6kofgGjM
0nPbtN3KcBt2AnkqhrUSP/IXKCHB5E72b14xlmSJTfL1374IFWl9ByP/2LlF9KCV
P1ji7oWmB2Q3iT+xJcZZ0aRggF5MBys6PXbTGO2wbt63jID749T9eFg2hRDrnllE
KkJofMCa3MAdsFv2o4gxU3cVlW8/mB9vaQhJE3pBqUjzgag4z4N7op6+CpjHUps8
69AWRMnwGzVn5DVXJAYigt9zbzrbQ2gvQuicpmyXsJS3auvX7bi0iwh7sBRFMyEG
oV4bbYnyeHwh0rKyWgMVUXMVcxqr5KcvIiZr1DuEgOqlFDZw8gUE+uwqpsly4Ort
WtTFFWxKR1qhq9f7tJyYYgRTcZzJ0AHvjNj+1rvChQMcwGsdSKI9WCyc+quiGvEb
EHG2/QRgU66BEC5j+8wdYbXtw66XQXVqu6zwMYMc9ycNXHqoN31wwfxrBMK8W35A
6OeG0itfw3YbuDY7c6M7tYGcSNjJLFWyY2ghiB3MxDDXehqWEyI79cp02hWl0AHB
8RVmzzpqYlpRYcaCrxBBSZSCrt5k48IRriLZfDu5fgiy6k5IAqnX1aBw2Ke58xYr
VZfr79S4FNEKu84qSLRVyeSWnG8xzEmUtAh6pxr3bgQ7Yh6FW5LUJhhzLRyMPlpm
9kp6qTS5l+A=
=yyA9
-----END PGP SIGNATURE-----

--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce